---
updatedAt: 2025-09-15T08:54:46.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Create a new patch policy associated with a patch software title configuration ID

softwaretitleconfig refers to the ID of the patch software title the policy is to be associated to

```xml Sample Request Body
<patch_policy>
	<general>
		<name>Google Chrome - 66.0.3359.117</name>
		<enabled>true</enabled>
		<target_version>66.0.3359.117</target_version>
		<release_date>1509048027663</release_date>
		<incremental_updates>false</incremental_updates>
		<reboot>true</reboot>
		<minimum_os>10.9</minimum_os>
		<kill_apps>
			<kill_app>
				<kill_app_name>Google Chrome.app</kill_app_name>
				<kill_app_bundle_id>com.google.Chrome</kill_app_bundle_id>
			</kill_app>
		</kill_apps>
		<distribution_method>selfservice</distribution_method>
		<allow_downgrade>true</allow_downgrade>
		<patch_unknown>true</patch_unknown>
	</general>
	<scope>
		<all_computers>true</all_computers>
	</scope>
	<user_interaction>
		<install_button_text>Update</install_button_text>
		<self_service_description>Latest update for Google Chrome</self_service_description>
		<notifications>
			<notification_enabled>true</notification_enabled>
			<notification_type>Self Service</notification_type>
			<notification_subject>Google Chrome Update Available</notification_subject>
			<notification_message>An update for Google Chrome is available within Self Service</notification_message>
			<reminders>
				<notification_reminders_enabled>true</notification_reminders_enabled>
				<notification_reminder_frequency>1</notification_reminder_frequency>
			</reminders>
		</notifications>
		<deadlines>
			<deadline_enabled>true</deadline_enabled>
			<deadline_period>7</deadline_period>
		</deadlines>
		<grace_period>
			<grace_period_duration>15</grace_period_duration>
			<notification_center_subject>Important</notification_center_subject>
			<message>$APP_NAMES will quit in $DELAY_MINUTES minutes so that $SOFTWARE_TITLE can be updated. Save anything you are working on and quit the app(s)</message>
		</grace_period>
	</user_interaction>
	<software_title_configuration_id>1</software_title_configuration_id>
</patch_policy>
```

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "version": "11.12.0",
    "title": "Classic API",
    "license": {
      "name": "Jamf API License Agreement",
      "url": "https://developer.jamf.com/developer-guide/docs/api-license-agreement"
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "paths": {
    "/patchpolicies/softwaretitleconfig/id/{softwaretitleconfigid}": {
      "post": {
        "x-explorer-enabled": false,
        "tags": [
          "patchpolicies"
        ],
        "summary": "Create a new patch policy associated with a patch software title configuration ID",
        "description": "softwaretitleconfig refers to the ID of the patch software title the policy is to be associated to",
        "operationId": "createPatchPolicyBySoftwareTitleConfigId",
        "parameters": [
          {
            "name": "softwaretitleconfigid",
            "in": "path",
            "required": true,
            "description": "Patch software title config ID value to filter by",
            "schema": {
              "type": "integer"
            }
          }
        ],
        "responses": {
          "201": {
            "description": "Created"
          }
        }
      }
    }
  },
  "x-si-base": "swagger.yaml",
  "x-github-repo": "jamf/Classic-API-Swagger-Specification",
  "x-github-sha": "070fac498a589aaa0958641a68e4065584fc244a",
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/JSSResource"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    }
  }
}
```